<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.cartstep3" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:05.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:05. 
	*/

	base.OnInit(e);
	
	int productsearch__loop__id=0;
	int keysearch__loop__id=0;
	int cartactivity__loop__id=0;
	int activitygift__loop__id=0;
	int activitycoupon__loop__id=0;
	int helpcategorysearch__loop__id=0;
	int helpsearchbyid__loop__id=0;
	int imglinksearch__loop__id=0;
	int wordlinksearch__loop__id=0;
	int infosearch__loop__id=0;templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTmL 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("<html>\r\n");
	templateBuilder.Append("    <head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("        <meta content=\"text/html;charset=utf-8\" http-equiv=\"Content-Type\" />\r\n");
	templateBuilder.Append("<title>" + shoptitle.ToString() + "</title>\r\n");
	templateBuilder.Append("<meta name=\"keywords\" content=\"" + keywords.ToString() + "\" />\r\n");
	templateBuilder.Append("<meta name=\"description\" content=\"" + description.ToString() + "\" />\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"/0418/favicon.ico\" />\r\n");
	templateBuilder.Append("    </head>\r\n");
	templateBuilder.Append("    <body text=\"#000000\" bottommargin=\"0\" vlink=\"#0000cc\" alink=\"#ff6600\" link=\"#0000cc\" leftmargin=\"0\" topmargin=\"0\" rightmargin=\"0\">\r\n");
	templateBuilder.Append("        <center>\r\n");
	templateBuilder.Append("<div><div class=\"top1\"><div style=\"height:60px; overflow:hidden; float:left\"><div id=\"newobj\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,5,0,0,OrderID,ASC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 5 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class='top1l'><div class=\"top1l\">\r\n");
	templateBuilder.Append("<div class=\"top1ll\"><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"50\" alt=\"" + left(productsearch_member["name"].ToString(),10) + "\" width=\"50\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),50,50) + "' width='50' height='50'  /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1lr\"><b><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),10) + "</a></b><br />\r\n");
	templateBuilder.Append("<s>￥" + productsearch_member["marketprice"].ToString() + "</s> &rarr; <font color=\"#ff6600\">￥" + productsearch_member["memberprice"].ToString() + "</font></div>\r\n");
	templateBuilder.Append("</div></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div></div><script language=\"javascript\" type=\"text/javascript\">\r\n");
	templateBuilder.Append("var speed1 = 11;\r\n");
	templateBuilder.Append("var start1 = 0;\r\n");
	templateBuilder.Append("var end1 = -60;\r\n");
	templateBuilder.Append("var totolnum = 4;\r\n");
	templateBuilder.Append("var per = -60;\r\n");
	templateBuilder.Append("var timer = 5000;\r\n");
	templateBuilder.Append("function Moveup(){\r\n");
	templateBuilder.Append("var obj1 = document.getElementById(\"newobj\");\r\n");
	templateBuilder.Append("start1 = start1 - speed1\r\n");
	templateBuilder.Append("speed1--;\r\n");
	templateBuilder.Append("obj1.style.marginTop = start1 + \"px\";\r\n");
	templateBuilder.Append("if(start1 > end1){\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",6);\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("if(totolnum*per == end1){\r\n");
	templateBuilder.Append("obj1.style.marginTop = \"0px\";\r\n");
	templateBuilder.Append("start1 = 0;\r\n");
	templateBuilder.Append("end1 = per;\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("obj1.style.marginTop = end1 + \"px\";\r\n");
	templateBuilder.Append("end1 = end1 + per;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("speed1 = 11;\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<div class=\"toplogo\"><a href=\"" + logourl.ToString() + "\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1r\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_shop.gif\" /></a><a href=\"/0418/articleindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_events.gif\" /></a><a href=\"/0418/message.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_message.gif\" /></a><a href=\"/0418/content.aspx?wd=about\"><img alt=\"\" border=\"0\" src=\"images/top/key_about.gif\" /></a><a href=\"/0418/content.aspx?wd=contact\"><img alt=\"\" border=\"0\" src=\"images/top/key_contact.gif\" /></a></div>\r\n");
	templateBuilder.Append("</div><div class=\"top2\"><div class=\"lanmudefault\"><a href=\"/0418/index.aspx\" name=\"topurl\"><span>首页</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/brandindex.aspx\" name=\"topurl\"><span>品牌</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/activityindex.aspx\" name=\"topurl\"><span>活动</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/guideindex.aspx\" name=\"topurl\"><span>导购</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/couponindex.aspx\" name=\"topurl\"><span>优惠券</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/scoreindex.aspx\" name=\"topurl\"><span>兑换</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/groupbuyindex.aspx\" name=\"topurl\"><span>团购</span></a></div><div class=\"lanmudefault\"><a class=\"end\" href=\"/0418/snatchindex.aspx\" name=\"topurl\"><span>夺宝奇兵</span></a></div><div class=\"top2r\"><script language=\"javascript\">\r\n");
	templateBuilder.Append("function showmenu(){\r\n");
	templateBuilder.Append("    var url = document.URL;\r\n");
	templateBuilder.Append("    \r\n");
	templateBuilder.Append("    var urls = document.getElementsByName(\"topurl\");\r\n");
	templateBuilder.Append("    for(var i=0;i<urls.length;i++){\r\n");
	templateBuilder.Append("        if(urls[i] == url){\r\n");
	templateBuilder.Append("            urls[i].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("			return;\r\n");
	templateBuilder.Append("        }\r\n");
	templateBuilder.Append("    }\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	urls[0].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("showmenu();\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/0418/js_userinfo.aspx?p=" + pagenow.ToString() + "\"></"+"script>&nbsp;&nbsp;&nbsp;&nbsp; <a target=\"_blank\" href=\"/0418/member/\">会员之家</a> | <a target=\"_blank\" href=\"/0418/cart.aspx\">购物车</a> | <a target=\"_blank\" href=\"/0418/helpindex.aspx\">帮助中心</a></div></div><div class=\"top3\">\r\n");
	templateBuilder.Append("  <div class=\"top3m\">\r\n");
	templateBuilder.Append("    <div class=\"top3ml\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/catelabel.gif\" /></a></div>\r\n");
	templateBuilder.Append("    <div class=\"top3mm\">\r\n");
	templateBuilder.Append("	<script language=\"javascript\">var spath = '/0418/';</"+"script>\r\n");
	templateBuilder.Append("	<script language=\"javascript\" src=\"js/changeType.js\"></"+"script>\r\n");
	templateBuilder.Append("      <form id=\"searchform\" action=\"/0418/list.aspx\" onsubmit=\"changeURL()\">\r\n");
	templateBuilder.Append("        <select id=\"SearchType\" onchange=\"document.getElementById('searchform').action = this.options[this.selectedIndex].value\">\r\n");
	templateBuilder.Append("          <option value=\"/0418/list.aspx\" selected=\"selected\">查询商品</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/articlelist.aspx\">查询文章</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/shippingadvice.aspx\">发货通知</option>\r\n");
	templateBuilder.Append("        </select>\r\n");
	templateBuilder.Append("        <input class=\"input\" name=\"wd\" type=\"text\" />\r\n");
	templateBuilder.Append("        <input style=\"vertical-align: bottom\" type=\"image\" src=\"images/top/searchkey.gif\" />\r\n");
	templateBuilder.Append("      </form>\r\n");
	templateBuilder.Append("	  <script language=\"javascript\">ChooseSelect()</"+"script>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div class=\"top3mr\">\r\n");
	
	keysearch__loop__id=0;
	foreach(DataRow keysearch_member in getTable("keysearch","0").Rows)
	{
	if(keysearch__loop__id == 6 && keysearch__loop__id != 0) break;
		keysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(keysearch_member["name"].ToString(),6) + "\" href=\"/0418/list.aspx?wd=" + keysearch_member["EncodeName"].ToString() + "\" style=\"color:white;\">" + left(keysearch_member["name"].ToString(),6) + "</a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div class=\"list1\">\r\n");
	templateBuilder.Append("  <div class=\"list1label\">\r\n");
	templateBuilder.Append("    <div class=\"list1labell\">购物流程 <font color=\"#B5B5B5\">SHOPPING　PROGRAM</font></div>\r\n");
	templateBuilder.Append("    <div class=\"list1labelr\"><b>购物车列表 &gt; 选择配送支付方式 &gt; 积分/优惠券抵用 &gt; <font color=\"#016767\">订单确认</font></b></div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div class=\"list1m\">\r\n");
	templateBuilder.Append("    <div class=\"list1mrlabel\">\r\n");
	templateBuilder.Append("      <div class=\"listselect\">积分/优惠券</div>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<link href=\"../public/css/css_cart.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("	var baseurl = \"/0418/\";\r\n");
	templateBuilder.Append("	var scorepercent = \"" + scorepercent.ToString() + "\";\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"../public/js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\">\r\n");
	templateBuilder.Append("	function gotopay(){\r\n");
	templateBuilder.Append("		document.getElementById(\"direct\").value = \"go\";\r\n");
	templateBuilder.Append("		this.form1.submit();\r\n");
	templateBuilder.Append("	}\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div id='dhtmltooltip' style=\"z-index:10001\"></div>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"../public/js/showimg.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<form action=\"/0418/cartstep3.aspx\" name=\"form2\" method=\"post\">\r\n");
	templateBuilder.Append("	<input type=\"hidden\" name=\"act\" value=\"neworder\" />\r\n");
	templateBuilder.Append("    <table width=\"916\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" class=\"carttr\">\r\n");
	templateBuilder.Append("      <tr id=\"listlabel\">\r\n");
	templateBuilder.Append("        <td width=\"10%\">商品图片</td>\r\n");
	templateBuilder.Append("        <td width=\"30%\">商品名称</td>\r\n");
	templateBuilder.Append("		<td width=\"10%\" align=\"center\">商品属性</td>\r\n");
	templateBuilder.Append("        <td width=\"10%\">购买价</td>\r\n");
	templateBuilder.Append("        <td width=\"10%\" align=\"center\">赠送积分</td>\r\n");
	templateBuilder.Append("        <td width=\"10%\" align=\"center\">购买数量</td>\r\n");
	templateBuilder.Append("        <td width=\"10%\" align=\"center\">小计</td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
		
	int usercart__loop__id=0;
	foreach(DataRow usercart_member in getTable("usercart").Rows)
	{
		usercart__loop__id++;
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td height=\"60\"><span><a href=\"/0418/product.aspx?id=" + usercart_member["productid"].ToString() + "\" target=\"_blank\"><img src=\"" + gettmpimg(usercart_member["src"].ToString(), 50, 50).ToString() + "\" width=\"48\" height=\"45\" border=\"0\" onMouseOver=\"javascript:ddrivetip('<img width=150 src=/0418/" + usercart_member["src"].ToString() + ">','#ffffff',150)\" onMouseOut=\"hideddrivetip()\"></a></span></td>\r\n");
	templateBuilder.Append("        <td><a href=\"/0418/product.aspx?id=" + usercart_member["productid"].ToString() + "\" target=\"_blank\">" + usercart_member["name"].ToString() + "</a> </td>\r\n");
	templateBuilder.Append("		<td>" + usercart_member["propertystext"].ToString() + " </td>\r\n");
	templateBuilder.Append("        <td>￥" + usercart_member["orderprice"].ToString() + "</td>\r\n");
	templateBuilder.Append("        <td>" + usercart_member["scores"].ToString() + "分</td>\r\n");
	templateBuilder.Append("        <td>" + usercart_member["count"].ToString() + "</td>\r\n");
	templateBuilder.Append("        <td>￥" + usercart_member["totalprice"].ToString() + "</td>\r\n");
	templateBuilder.Append("        </tr>\r\n");
	      
	}	//end loop
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	" + hiddenField.ToString() + "\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<div style=\"padding:10px 20px; text-align:left; border-bottom:3px #CCCCCC solid \">\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<div style=\"float:left; width:420px; height:252px; border:1px #CCCCCC dashed; padding:5px; line-height:18px\">积分抵扣费用：<strong><font color=\"#009900\">￥" + usedmoney.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("优惠券抵扣费用：<strong><font color=\"#009900\">￥" + couponprice.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("优惠券号：<strong><font color=\"#009900\">" + coupon.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("送货方式：<strong><font color=\"#009900\">" + deliveryname.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("配送费用：<strong><font color=\"#009900\">￥" + freight.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("支付方式：<strong><font color=\"#009900\">" + paymentname.ToString() + "</font></strong>　　<br />\r\n");
	templateBuilder.Append("需要发票：<strong><font color=\"#009900\">是</font></strong><br />\r\n");
	templateBuilder.Append("发票税额：<strong><font color=\"#009900\">￥" + invoiceprice.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("包装名称：<strong><font color=\"#009900\">" + packagename.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("包装金额：<strong><font color=\"#009900\">￥" + packageprice.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("贺卡名称：<strong><font color=\"#009900\">" + greetingcardname.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("贺卡金额：<strong><font color=\"#009900\">￥" + greetingcardprice.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("贺卡内容：<strong><font color=\"#009900\">" + greetingcardcontent.ToString() + "</font></strong><br />\r\n");
	templateBuilder.Append("备注：<font color=\"#009900\">" + remark.ToString() + "</font></div>\r\n");
	templateBuilder.Append("    <div style=\"width:420px; float:right; text-align:left; height:252px; border:1px #CCCCCC dashed; padding:5px\">\r\n");
	templateBuilder.Append("	  <div style=\"padding-bottom:10px; border-bottom:1px #CCCCCC solid; line-height:20px\">收货人：<font color=\"#009900\">" + receiver.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("收货地址：<font color=\"#009900\">" + addr.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("标志建筑：<font color=\"#009900\">" + building.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("邮编：<font color=\"#009900\">" + post.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("电子信箱：<font color=\"#009900\">" + email.ToString() + " </font><br />\r\n");
	templateBuilder.Append("联系电话：<font color=\"#009900\">" + tel.ToString() + "</font><br />\r\n");
	templateBuilder.Append("手机：<font color=\"#009900\">" + mobile.ToString() + "\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</font></div>\r\n");
	templateBuilder.Append("      <div style=\"padding-top:10px; line-height:20px\">\r\n");
	templateBuilder.Append("	  	购货人：<font color=\"#009900\">" + sender.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("	  	购货人电话：<font color=\"#009900\">" + sendertel.ToString() + "　</font>　<br />\r\n");
	templateBuilder.Append("	  	购货人手机：<font color=\"#009900\">" + sendermobile.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("	  	购货人电子信箱：<font color=\"#009900\">" + senderemail.ToString() + "</font>　　<br />\r\n");
	templateBuilder.Append("	  </div>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div style=\"width:868px; text-align:left; height:102px; border:1px #CCCCCC dashed; padding:5px; margin-top:10px;\">\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div style=\"width:860px; text-align:left; background:#eeeeee\"><div style=\"background:#000000; float:left; height:25px; padding:0 20px; line-height:25px\">　<b style=\"font-size:14px; color:#FFFFFF\">商城活动</b></div><div style=\"background:#eeeeee; float:left; height:25px; padding:0 20px; line-height:25px\"><font color=\"#000000\"><b>您免费获得的赠品</b></font></div><br clear=\"all\"></div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\">\r\n");
	
	cartactivity__loop__id=0;
	foreach(DataRow cartactivity_member in getTable("cartactivity","["+base.guid+"],[id]$[srclist]$[name]$[startdate]$[enddate]NOCACHE").Rows)
	{
	if(cartactivity__loop__id == 100 && cartactivity__loop__id != 0) break;
		cartactivity__loop__id++;
	templateBuilder.Append("	   <tr>\r\n");
	templateBuilder.Append("		  <td width=\"26%\" align=\"left\">\r\n");
	templateBuilder.Append("		  	<a target=\"_blank\" href=\"/0418/act.aspx?id=" + cartactivity_member["id"].ToString() + "\">" + cartactivity_member["name"].ToString() + "</a>\r\n");
	templateBuilder.Append("		  </td>\r\n");
	templateBuilder.Append("		  <td width=\"30%\" align=\"center\">\r\n");
	templateBuilder.Append("		  		" + ConvertDate(cartactivity_member["startdate"].ToString(),"YY04.MM.DD").ToString() + "\r\n");
	templateBuilder.Append("				-\r\n");
	templateBuilder.Append("				" + ConvertDate(cartactivity_member["enddate"].ToString(),"YY04.MM.DD").ToString() + "\r\n");
	templateBuilder.Append("		  </td>\r\n");
	templateBuilder.Append("		  <td width=\"22%\" align=\"center\">\r\n");
					
	activitygift__loop__id=0;
	foreach(DataRow activitygift_member in getTable("activitygift","["+cartactivity_member["id"].ToString()+"],*").Rows)
	{
	if(activitygift__loop__id == 100 && activitygift__loop__id != 0) break;
		activitygift__loop__id++;
	templateBuilder.Append("					<a href=\"/0418/product.aspx?id=" + activitygift_member["id"].ToString() + "\" target=\"_blank\">" + activitygift_member["name"].ToString() + "</a>,\r\n");
					
	}	//end loop
	templateBuilder.Append("		  </td>\r\n");
	templateBuilder.Append("		  <td width=\"22%\" align=\"center\">\r\n");
					
	activitycoupon__loop__id=0;
	foreach(DataRow activitycoupon_member in getTable("activitycoupon","["+cartactivity_member["id"].ToString()+"],*").Rows)
	{
	if(activitycoupon__loop__id == 100 && activitycoupon__loop__id != 0) break;
		activitycoupon__loop__id++;
	templateBuilder.Append("					" + activitycoupon_member["name"].ToString() + ",\r\n");
					
	}	//end loop
	templateBuilder.Append("		  </td>\r\n");
	templateBuilder.Append("		</tr>	\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("		  <td height=\"1\" colspan=\"3\" background=\"../public/images/dian.gif\"></td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
		   
	}	//end loop
	templateBuilder.Append("</table>\r\n");
	templateBuilder.Append("	   \r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<br clear=\"all\">\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("    <div style=\"height:20px; line-height:20px; padding:10px 20px; text-align:center\"><font color=\"#000000\">共有 " + totaltype.ToString() + " 种商品　商品总金额：￥" + oldtotalprice.ToString() + "　订单总金额：</font><strong><font color=\"#FF6600\">￥" + newtotalprice.ToString() + "</font></strong></div>\r\n");
	templateBuilder.Append("    <div style=\"padding:7px 0; text-align:center\">\r\n");
	templateBuilder.Append("      <img src=\"../public/images/member/backkey.gif\" style=\"cursor:pointer;\" onclick=\"history.go(-1)\" />\r\n");
	templateBuilder.Append("      <input type=\"image\" src=\"../public/images/member/orderkey.gif\" name=\"Submit2\" value=\"生成订单\" />\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	</form>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<br clear=\"all\">\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div class=\"list1mb\"><img src=\"images/cart/listbgb.gif\" /></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div class=\"bottom1\"><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgt.gif\" /></div><div class=\"bottom12\"><div class=\"bottom12m\"><div class=\"bottom12ml\"><div><img alt=\"\" src=\"images/bottom/helplabel.gif\" /></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/helpindex.aspx\">商城帮助</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/shippingadvice.aspx\">发货通知</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/poll.aspx\">问卷调查</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/subscription.aspx\">邮件订阅</a></div></div><div class=\"bottom12mr\"><ul>\r\n");
	
	helpcategorysearch__loop__id=0;
	foreach(DataRow helpcategorysearch_member in getTable("helpcategorysearch","[id]$[name]").Rows)
	{
	if(helpcategorysearch__loop__id == 6 && helpcategorysearch__loop__id != 0) break;
		helpcategorysearch__loop__id++;
	templateBuilder.Append("<li><div class=\"helpcate\"><a target=\"_blank\" href=\"/0418/helplist.aspx?id=" + helpcategorysearch_member["id"].ToString() + "\">" + left(helpcategorysearch_member["name"].ToString(),6) + "</a></div>\r\n");
	templateBuilder.Append("<div class=\"helplist\"><ul>\r\n");
	
	helpsearchbyid__loop__id=0;
	foreach(DataRow helpsearchbyid_member in getTable("helpsearchbyid","["+helpcategorysearch_member["id"]+"],[id]$[title]").Rows)
	{
	if(helpsearchbyid__loop__id == 5 && helpsearchbyid__loop__id != 0) break;
		helpsearchbyid__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/help.aspx?id=" + helpsearchbyid_member["id"].ToString() + "\">" + left(helpsearchbyid_member["title"].ToString(),30) + "</a></li>\r\n");
	
	if((helpsearchbyid__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></li>\r\n");
	
	if((helpcategorysearch__loop__id % 50 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></div></div><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgb.gif\" /></div></div><div class=\"bottom2\">\r\n");
	templateBuilder.Append("  <div class=\"bottom2m\">\r\n");
	templateBuilder.Append("    <div id=\"link1\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	imglinksearch__loop__id=0;
	foreach(DataRow imglinksearch_member in getTable("imglinksearch","[id]$[href]$[name]$[src]").Rows)
	{
	if(imglinksearch__loop__id == 10 && imglinksearch__loop__id != 0) break;
		imglinksearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"" + imglinksearch_member["href"].ToString() + "\"><img alt=\"" + left(imglinksearch_member["name"].ToString(),30) + "\" border=\"0\" src='" + gettmpimg(imglinksearch_member["src"].ToString(),100,33) + "' width='100' height='33'  /></a></li>\r\n");
	
	if((imglinksearch__loop__id % 100 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div id=\"link2\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	wordlinksearch__loop__id=0;
	foreach(DataRow wordlinksearch_member in getTable("wordlinksearch","[id]$[name]$[href]").Rows)
	{
	if(wordlinksearch__loop__id == 10 && wordlinksearch__loop__id != 0) break;
		wordlinksearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(wordlinksearch_member["name"].ToString(),30) + "\" target=\"_blank\" href=\"" + wordlinksearch_member["href"].ToString() + "\">" + left(wordlinksearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((wordlinksearch__loop__id % 10 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom3\"><div class=\"bottom3l\"><a href=\"/0418/index.aspx\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div><div class=\"bottom3r\"><span class=\"bottom3rA\">\r\n");
	
	infosearch__loop__id=0;
	foreach(DataRow infosearch_member in getTable("infosearch","[id]$[title]$[byname]").Rows)
	{
	if(infosearch__loop__id == 9 && infosearch__loop__id != 0) break;
		infosearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(infosearch_member["title"].ToString(),6) + "\" target=\"_blank\" href=\"/0418/content.aspx?wd=" + infosearch_member["byname"].ToString() + "\">" + left(infosearch_member["title"].ToString(),6) + "</a> |\r\n");
	
	}	//end loop
	templateBuilder.Append(" <a target=\"_blank\" href=\"/0418/sitemap.aspx\">网站地图</a></span><br /><br />" + copyright.ToString() + " <br /><a target=\"_blank\" href=\"http://www.miibeian.gov.cn/\">" + icp.ToString() + "</a></div></div>" + jscontent.ToString() + " " + kft.ToString() + "<script src=\"/0418/js_floatqq.aspx\"></"+"script> \r\n");
	templateBuilder.Append("   </center>\r\n");
	templateBuilder.Append("    </body>\r\n");
	templateBuilder.Append("</html>\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
